#!/usr/local/bin/ruby
#
# ./font_ja.rb > font_ja.gif

require "libplot"

plotter_params = Libplot::PlotterParams.new()
plotter_params.setplparam("BITMAPSIZE", "400x300")

plotter = Libplot::Plotter.new("gif", STDIN, STDOUT, STDERR, plotter_params)

plotter.openpl()
plotter.space(1, 1, 400, 300)

plotter.pencolorname("red")
plotter.linewidth(5)
plotter.filltype(1)
plotter.fillcolorname("black")

plotter.fontsize(20)
plotter.move(100, 100)
plotter.alabel('c', 'c', "Hoge")

plotter.move(100, 200)
plotter.fontname("HersheyEUC")
plotter.alabel('c', 'c', "ۤ")

plotter.closepl()
#plotter.deletepl()
